Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DataClasses
Class UserAddress_Data

    java.lang.Object
      DataClasses.UserAddress_Data

public class UserAddress_Data
extends java.lang.Object

Author:
  student This class is being used for storing the address data pertaining to the user.

Field Summary
`private java.lang.String` | `city`
`private java.lang.String` | `country`
`private java.lang.String` | `email`
`private java.lang.String` | `phone`
`private java.lang.String` | `street`
`private java.lang.String` | `suburb`

Constructor Summary
`UserAddress_Data()` This is the constructor for UserAddress_Data.java
`UserAddress_Data(java.lang.String eMail, java.lang.String street, java.lang.String suburb, java.lang.String city, java.lang.String country, java.lang.String phone)` This is the constructor for UserAddress_Data.java

Method Summary
`java.lang.String` | `getCity()` This method is being used for getting the city address of the user.
`java.lang.String` | `getCountry()` This method is being used for getting the country address of the user.
`java.lang.String` | `getEmail()` This method is being used for getting the email address of the user.
`java.lang.String` | `getPhone()` This method is being used for getting the phone number of the user.
`java.lang.String` | `getStreet()` This method is being used for getting the street address of the user.
`java.lang.String` | `getSuburb()` This method is being used for getting the suburb address of the user.
`void` | `setCity(java.lang.String city)` This method is being used for setting the city address of the user.
`void` | `setCountry(java.lang.String country)` This method is being used for setting the country address of the user.
`void` | `setEmail(java.lang.String eMail)` This method is being used for setting email address of the user.
`void` | `setPhone(java.lang.String phone)` This method is being used for setting the phone number of the user.
`void` | `setStreet(java.lang.String street)` This method is being used for setting the street address of the user.
`void` | `setSuburb(java.lang.String sub)` This method is being used for setting the suburb address of the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### city

    private java.lang.String city

### country

    private java.lang.String country

### email

    private java.lang.String email

### phone

    private java.lang.String phone

### street

    private java.lang.String street

### suburb

    private java.lang.String suburb

Constructor Detail

### UserAddress_Data

    public UserAddress_Data()

  This is the constructor for UserAddress_Data.java

### UserAddress_Data

    public UserAddress_Data(java.lang.String eMail,
                            java.lang.String street,
                            java.lang.String suburb,
                            java.lang.String city,
                            java.lang.String country,
                            java.lang.String phone)

  This is the constructor for UserAddress_Data.java

Method Detail

### getCity

    public java.lang.String getCity()

  This method is being used for getting the city address of the user.

  Returns:
    String City address.

### getCountry

    public java.lang.String getCountry()

  This method is being used for getting the country address of the user.

  Returns:
    String Country address.

### getEmail

    public java.lang.String getEmail()

  This method is being used for getting the email address of the user.

  Returns:
    String Email address.

### getPhone

    public java.lang.String getPhone()

  This method is being used for getting the phone number of the user.

  Returns:
    String Phone number.

### getStreet

    public java.lang.String getStreet()

  This method is being used for getting the street address of the user.

  Returns:
    String Street address.

### getSuburb

    public java.lang.String getSuburb()

  This method is being used for getting the suburb address of the user.

  Returns:
    String Suburb address.

### setCity

    public void setCity(java.lang.String city)

  This method is being used for setting the city address of the user.

  Parameters:
    `city` - The city.
  Returns:
    void

### setCountry

    public void setCountry(java.lang.String country)

  This method is being used for setting the country address of the user.

  Parameters:
    `country` - The country.
  Returns:
    void

### setEmail

    public void setEmail(java.lang.String eMail)

  This method is being used for setting email address of the user.

  Parameters:
    `eMail` - The email address of the user.
  Returns:
    void

### setPhone

    public void setPhone(java.lang.String phone)

  This method is being used for setting the phone number of the user.

  Parameters:
    `phone` - Phone number.
  Returns:
    void

### setStreet

    public void setStreet(java.lang.String street)

  This method is being used for setting the street address of the user.

  Parameters:
    `street` - The street.
  Returns:
    void

### setSuburb

    public void setSuburb(java.lang.String sub)

  This method is being used for setting the suburb address of the user.

  Parameters:
    `sub` - The suburb.
  Returns:
    void

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD